/*
 * 手太欠
 * 企获客商城
 */

const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        addressType : '',        //类型  selectAddress为选择地址
        addressArr  : [],        //收货地址列表
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad (options) {
        console.log(options)
        this.setData({
            addressType : options.type
        })
    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow () {
        // 获取地址列表
        this.addressInfo();
    },

    /**
     * 地址列表
     */
    addressInfo () {
        wx.$api.address.index().then(res=>{
            this.setData({
                addressArr : res
            })
        })
    },

    /**
     * 删除地址
     */
    addressRemove(e){
        let id    = e.target.dataset.id,
            index = e.target.dataset.index,
            list  = this.data.addressArr

        list.splice(index,1)

        wx.showModal({
            title   : '提示',
            content : '是否删除地址',
            success : res=> {
                if (res.confirm) {
                    wx.showLoading({
                        title: '删除中',
                    })
                    wx.$api.address.del(id).then(res=>{
                        this.setData({
                            addressArr: list
                        })
                        wx.hideLoading()
                    })
                }
            }
        })
    },

    /**
     * 设为默认地址
     */
    addressDefault(e){
        let id    = e.currentTarget.dataset.id
        wx.$api.address.def(id).then(res=>{
           // 获取地址列表
            this.addressInfo();
        })
    },

    /**
     * 选择地址
     */
    selectAddress(e){
        let atAdds = this.data.addressArr[e.currentTarget.dataset.index]
        let pages = getCurrentPages(),
            prepage = pages[pages.length-2]

        prepage.setData({
            addressDel: atAdds
        })
        
        wx.navigateBack()
    }
})